scala.math

# PartiallyOrdered

#### trait PartiallyOrdered[+A] extends AnyRef

A class for partially ordered data.

Source
  PartiallyOrdered.scala
Version

  1.0, 23/04/2004

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PartiallyOrdered
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def tryCompareTo[B >: A](that: B)(implicit arg0: (B) ⇒ PartiallyOrdered[B]): Option[Int]

   Result of comparing `this` with operand `that`.

   Result of comparing `this` with operand `that`. Returns `None` if operands are not comparable. If operands are comparable, returns `Some(x)` where

   - `x < 0` iff `this < that`
   - `x == 0` iff `this == that`
   - `x > 0` iff `this > that`

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PartiallyOrdered[A] to any2stringadd[PartiallyOrdered[A]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PartiallyOrdered[A], B)

   Implicit information
     This member is added by an implicit conversion from PartiallyOrdered[A] to ArrowAssoc[PartiallyOrdered[A]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### def <[B >: A](that: B)(implicit arg0: (B) ⇒ PartiallyOrdered[B]): Boolean

6. #### def <=[B >: A](that: B)(implicit arg0: (B) ⇒ PartiallyOrdered[B]): Boolean

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def >[B >: A](that: B)(implicit arg0: (B) ⇒ PartiallyOrdered[B]): Boolean

9. #### def >=[B >: A](that: B)(implicit arg0: (B) ⇒ PartiallyOrdered[B]): Boolean

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def ensuring(cond: (PartiallyOrdered[A]) ⇒ Boolean, msg: ⇒ Any): PartiallyOrdered[A]

    Implicit information
      This member is added by an implicit conversion from PartiallyOrdered[A] to Ensuring[PartiallyOrdered[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (PartiallyOrdered[A]) ⇒ Boolean): PartiallyOrdered[A]

    Implicit information
      This member is added by an implicit conversion from PartiallyOrdered[A] to Ensuring[PartiallyOrdered[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): PartiallyOrdered[A]

    Implicit information
      This member is added by an implicit conversion from PartiallyOrdered[A] to Ensuring[PartiallyOrdered[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): PartiallyOrdered[A]

    Implicit information
      This member is added by an implicit conversion from PartiallyOrdered[A] to Ensuring[PartiallyOrdered[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from PartiallyOrdered[A] to StringFormat[PartiallyOrdered[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (PartiallyOrdered[A], B)

    Implicit information
      This member is added by an implicit conversion from PartiallyOrdered[A] to ArrowAssoc[PartiallyOrdered[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PartiallyOrdered[A] to any2stringadd[PartiallyOrdered[A]]

### Inherited by implicit conversion StringFormat from PartiallyOrdered[A] to StringFormat[PartiallyOrdered[A]]

### Inherited by implicit conversion Ensuring from PartiallyOrdered[A] to Ensuring[PartiallyOrdered[A]]

### Inherited by implicit conversion ArrowAssoc from PartiallyOrdered[A] to ArrowAssoc[PartiallyOrdered[A]]

### Ungrouped